[Haskell-cafe] finally going on Solaris

Christian Maeder maeder at tzi.de
Thu Sep 29 06:14:50 EDT 2005

Brian McQueen wrote:
> I've finally got a working ghc on Solaris.  Its 6.4.1.  I couldn't get
> the earlier, pre 6.4 versions going due to problems with my gcc.  It

Indeed, I cannot reliable use our ghc-6.2.x solaris installation any 
more after gcc-2.95.3 has been uninstalled.

> seemed to be expecting a gcc shared library that my system didn't
> have, nor did any other gcc that I was able to compile.  After loading
> a few prerequisites, and then reloading them with --enable-shared, its
> now going.

Which gcc version are you using? I use gcc-3.4.4. Do you mean you had to 
install the dynamic libraries libreadline.so.5, libncurses.so.5, and 
libgmp.so.3 ?
(That was clearly stated on the distribution page:

If you had to install something else, please tell us what it was.

> I found a problem with a header file in the solaris distribution too -
> it expects stdint.h, which doesn't seem to be a part of Solaris
> anymore.  I undef'd the HAVE_STDINT_H lines, and its working well now.

/usr/include/stdint.h is part of our solaris (2.8 and 2.10) 
installations (and therefore HAVE_STDINT_H was defined). I don't know 
where HAVE_STDINT_H matters.


More information about the Haskell-Cafe mailing list